WhatsNext:AddConditionalStatement("Stagger",{
	category = "MONK",
	text = "player's stagger ticks are greater than or equal to {amount} of their maximum health.",
	test = function(checkTable) 
		return UnitStagger("player") >= checkTable.amount * UnitHealthMax("player")
	end,
	arguments = {
		amount = {label = "Amount Percent", type = "percent", default = .01},
	}
})

WhatsNext:AddConditionalStatement("Stagger Current Health",{
	category = "MONK",
	text = "player's stagger ticks are greater than or equal to {amount} of their current health.",
	test = function(checkTable) 
		return UnitStagger("player") >= checkTable.amount * UnitHealth("player")
	end,
	arguments = {
		amount = {label = "Amount Percent", type = "percent", default = .01},
	}
})